.386
.model flat, stdcall  ;32 bit memory model
option casemap :none  ;case sensitive

include \masm32\include\windows.inc
include \masm32\include\user32.inc
include \masm32\include\kernel32.inc
include  \masm32\include\masm32.inc
include  \masm32\include\comctl32.inc

includelib \masm32\lib\user32.lib
includelib \masm32\lib\kernel32.lib
includelib  \masm32\lib\masm32.lib
includelib  \masm32\lib\comctl32.lib

DlgProc PROTO : HWND, : UINT, : WPARAM, : LPARAM

.const
IDD_DIALOG1  equ 101
IDI_ICON     equ 200
IDC_EDT1     equ 103
IDC_EDT2     equ 104
.data
szTitle       TCHAR "Key state Example", 0
Message    db   "Caps Lock was pressed!!",0
Caption    db   "Messagebox Title",0
.data?
hEdit1  dd ?
hEdit2  dd ?
hInstance HINSTANCE ?
hIcon     HICON     ?

.code

start:
INVOKE InitCommonControls
INVOKE GetModuleHandle,NULL
mov		hInstance,eax
INVOKE LoadIcon, eax, IDI_ICON 
mov hIcon, eax

INVOKE DialogBoxParam,hInstance,IDD_DIALOG1,NULL,addr DlgProc,NULL
INVOKE ExitProcess,0

;########################################################################

DlgProc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM


	.IF uMsg ==WM_INITDIALOG

	      INVOKE SetWindowText, hWin, addr szTitle 
		  INVOKE SendMessage, hWin, WM_SETICON,ICON_SMALL, hIcon
	
	; initialising our 2 editboxes
  INVOKE GetDlgItem,hWin ,103	;Windows API result gets stored in eax
	mov hEdit1,eax				;assembler OPCODE stored flag flag from eax moved to hEdit1	
  INVOKE SetFocus,hEdit1			;Windows API	  
		 	
      INVOKE GetDlgItem,hWin,104
	mov hEdit2,eax
	INVOKE SetFocus,hEdit2   
	  ; Set The Timer
	INVOKE SetTimer,hWin,IDC_EDT1,90,0	
	

	 	
  .ELSEIF uMsg == WM_NOTIFY
  .ELSEIF  uMsg == WM_TIMER	

    
     INVOKE GetAsyncKeyState, VK_CAPITAL ;WAS Caps Lock on pressed?
      .IF eax != 0										;if yes
          INVOKE MessageBox, hWin, offset Message, offset Caption, MB_OK 	;call our Messagbox
      .ENDIF
  
      ret	  

	
	.ELSEIF uMsg ==WM_CLOSE
		INVOKE EndDialog,hWin,0
	.ELSE
		mov		eax,FALSE
		ret
	.ENDIF
	mov		eax,TRUE
	ret

DlgProc endp

end start
